export declare function gcd_js(a: any, b: any): any;
export declare function gcd(n: number, m: number): number;
export declare function inverseMod(a: number, N: number): number;
export declare function xgcd(a: number, b: number): {
    g: number;
    s: number;
    t: number;
};
export declare function init(): Promise<void>;
export declare function bench_gcd1(k: any, B: any): number;
export declare function bench_gcd1_js(k: any, B: any): number;
export declare function bench_gcd1_direct(k: any, B: any): any;
